const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("tradelog", {
    requestid: DataTypes.STRING,
    merchant_id: DataTypes.STRING,
    product_id: DataTypes.STRING,
    trade_amt: DataTypes.BIGINT,
    result: DataTypes.INTEGER,
    fee: {
      type: DataTypes.BOOLEAN,
      defaultValue: false
    },
    fee_remark: DataTypes.STRING,
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'api_trade_log',
      validate: {

      },
      indexes: [
      ]
    });
}
